Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » IMP » Problems with running IMP on win32
Problems with running IMP on win32 [message #4191] Wed, 29 August 2007 19:26 Go to next message
Auerliano is currently offline Auerliano
Messages: 149
Registered: July 2009
Senior Member
Hi,

After installing IMP from the update site:

http://eclipse-imp.sourceforge.net/updates/

together with the following dependencies:

http://lpg.sourceforge.net/updates/
http://www.cs.cornell.edu/Projects/polyglot/eclipseUpdates/

on a *fresh-copy* of eclipse 3.3 under windows xp 32-bit; these problems
are generated:

(1) Eclipse opens with this error:

An error has occurred. See error log for more details.
Invalid thread access

Error log:
Problems occurred when invoking code from plug-in: "org.eclipse.jdt.ui".
[See end of this message for the full log.]


(2) There is no project creation wizard for IMP -- it seems it should
have a name like 'IDE Building'.

Initially, I thought this could be due to IMP conflicting with other
plugins. However, a fresh copy of eclipse did not solve the problem. Bob
mentioned that it was difficult to reproduce this errors, well, it is
hard for me to *not* produce them.




------------------------------------------------------
Error log:

org.eclipse.swt.SWTException: Invalid thread access
at org.eclipse.swt.SWT.error(SWT.java:3563)
at org.eclipse.swt.SWT.error(SWT.java:3481)
at org.eclipse.swt.SWT.error(SWT.java:3452)
at org.eclipse.swt.widgets.Widget.error(Widget.java:432)
at org.eclipse.swt.widgets.Widget.checkWidget(Widget.java:326)
at org.eclipse.swt.widgets.Tree.setRedraw(Tree.java:4363)
at
org.eclipse.jface.viewers.AbstractTreeViewer.labelProviderCh anged(AbstractTreeViewer.java:2051)
at
org.eclipse.jface.viewers.ContentViewer.handleLabelProviderC hanged(ContentViewer.java:170)
at
org.eclipse.jface.viewers.StructuredViewer.handleLabelProvid erChanged(StructuredViewer.java:1120)
at
org.eclipse.jdt.internal.ui.viewsupport.ProblemTreeViewer.ha ndleLabelProviderChanged(ProblemTreeViewer.java:214)
at
org.eclipse.jface.viewers.ContentViewer$1.labelProviderChang ed(ContentViewer.java:74)
at
org.eclipse.jdt.internal.ui.viewsupport.JavaUILabelProvider$ 1.run(JavaUILabelProvider.java:276)
at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
at
org.eclipse.jdt.internal.ui.viewsupport.JavaUILabelProvider. fireLabelProviderChanged(JavaUILabelProvider.java:274)
at
org.eclipse.jdt.internal.ui.viewsupport.AppearanceAwareLabel Provider.propertyChanged(AppearanceAwareLabelProvider.java:9 5)
at
org.eclipse.ui.internal.registry.EditorRegistry$2.run(Editor Registry.java:319)
at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
at org.eclipse.core.runtime.Platform.run(Platform.java:857)
at
org.eclipse.ui.internal.registry.EditorRegistry.fireProperty Change(EditorRegistry.java:317)
at
org.eclipse.ui.internal.registry.EditorRegistry.setFileEdito rMappings(EditorRegistry.java:1088)
at
org.eclipse.imp.language.LanguageRegistry.registerLanguages( LanguageRegistry.java:204)
at org.eclipse.imp.runtime.RuntimePlugin.earlyStartup(RuntimePl ugin.java:78)
at
org.eclipse.ui.internal.EarlyStartupRunnable.runEarlyStartup (EarlyStartupRunnable.java:87)
at
org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartu pRunnable.java:73)
at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
at org.eclipse.ui.internal.Workbench$54.run(Workbench.java:2190 )
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Re: Problems with running IMP on win32 [message #4260 is a reply to message #4191] Wed, 29 August 2007 20:37 Go to previous messageGo to next message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Ali wrote:
> Hi,
>
> After installing IMP from the update site:
>
> http://eclipse-imp.sourceforge.net/updates/
>
> together with the following dependencies:
>
> http://lpg.sourceforge.net/updates/
> http://www.cs.cornell.edu/Projects/polyglot/eclipseUpdates/
>
> on a *fresh-copy* of eclipse 3.3 under windows xp 32-bit; these problems
> are generated:

Hi,

At this moment, IMP only runs on 3.2. We're working on 3.3 support,
but it's not there yet. At this point, we haven't really even spent
much time attempting to run on 3.3 yet.

Please try running on 3.2, if you can; your experience should be
much better.

Again, sorry for not having the web site up yet; the above fact is
mentioned in the install instructions, which you sadly can't see yet.
:-)

All the same, thanks for the report; we'll use the information as
we work on the 3.3 compatibility.

> (1) Eclipse opens with this error:
>
> An error has occurred. See error log for more details.
> Invalid thread access
>
> Error log:
> Problems occurred when invoking code from plug-in: "org.eclipse.jdt.ui".
> [See end of this message for the full log.]
>
>
> (2) There is no project creation wizard for IMP -- it seems it should
> have a name like 'IDE Building'.
>
> Initially, I thought this could be due to IMP conflicting with other
> plugins. However, a fresh copy of eclipse did not solve the problem. Bob
> mentioned that it was difficult to reproduce this errors, well, it is
> hard for me to *not* produce them.
Re: Problems with running IMP on win32 [message #4329 is a reply to message #4260] Wed, 29 August 2007 20:39 Go to previous messageGo to next message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Robert M. Fuhrer wrote:
> Ali wrote:
>> Hi,
>>
>> After installing IMP from the update site:
>>
>> http://eclipse-imp.sourceforge.net/updates/
>>
>> together with the following dependencies:
>>
>> http://lpg.sourceforge.net/updates/
>> http://www.cs.cornell.edu/Projects/polyglot/eclipseUpdates/
>>
>> on a *fresh-copy* of eclipse 3.3 under windows xp 32-bit; these
>> problems are generated:
>
> Hi,
>
> At this moment, IMP only runs on 3.2. We're working on 3.3 support,
> but it's not there yet. At this point, we haven't really even spent
> much time attempting to run on 3.3 yet.
>
> Please try running on 3.2, if you can; your experience should be
> much better.

I should also perhaps have mentioned that IMP currently requires at
least a Java 5 VM.

> Again, sorry for not having the web site up yet; the above fact is
> mentioned in the install instructions, which you sadly can't see yet.
> :-)
>
> All the same, thanks for the report; we'll use the information as
> we work on the 3.3 compatibility.
>
>> (1) Eclipse opens with this error:
>>
>> An error has occurred. See error log for more details.
>> Invalid thread access
>>
>> Error log:
>> Problems occurred when invoking code from plug-in: "org.eclipse.jdt.ui".
>> [See end of this message for the full log.]
>>
>>
>> (2) There is no project creation wizard for IMP -- it seems it should
>> have a name like 'IDE Building'.
>>
>> Initially, I thought this could be due to IMP conflicting with other
>> plugins. However, a fresh copy of eclipse did not solve the problem.
>> Bob mentioned that it was difficult to reproduce this errors, well, it
>> is hard for me to *not* produce them.

Cheers,
- Bob
Re: Problems with running IMP on win32 [message #4399 is a reply to message #4329] Wed, 29 August 2007 21:40 Go to previous messageGo to next message
Auerliano is currently offline Auerliano
Messages: 149
Registered: July 2009
Senior Member
Bob,

I was able to test IMP with eclipse 3.2.2. The start-up error is gone,
however, I still cannot see the IDE Bulding project. Creating an X10
project still gives me the 'Invalid thread access' error.

Did you mean version 3.2.0? Could you provide the exact version that
works on you machine. It is not so easy to find the older versions, a
download link would be great.

Robert M. Fuhrer wrote:
> Robert M. Fuhrer wrote:
>> Ali wrote:
>>> Hi,
>>>
>>> After installing IMP from the update site:
>>>
>>> http://eclipse-imp.sourceforge.net/updates/
>>>
>>> together with the following dependencies:
>>>
>>> http://lpg.sourceforge.net/updates/
>>> http://www.cs.cornell.edu/Projects/polyglot/eclipseUpdates/
>>>
>>> on a *fresh-copy* of eclipse 3.3 under windows xp 32-bit; these
>>> problems are generated:
>>
>> Hi,
>>
>> At this moment, IMP only runs on 3.2. We're working on 3.3 support,
>> but it's not there yet. At this point, we haven't really even spent
>> much time attempting to run on 3.3 yet.
>>
>> Please try running on 3.2, if you can; your experience should be
>> much better.
>
> I should also perhaps have mentioned that IMP currently requires at
> least a Java 5 VM.
>
>> Again, sorry for not having the web site up yet; the above fact is
>> mentioned in the install instructions, which you sadly can't see yet.
>> :-)
>>
>> All the same, thanks for the report; we'll use the information as
>> we work on the 3.3 compatibility.
>>
>>> (1) Eclipse opens with this error:
>>>
>>> An error has occurred. See error log for more details.
>>> Invalid thread access
>>>
>>> Error log:
>>> Problems occurred when invoking code from plug-in: "org.eclipse.jdt.ui".
>>> [See end of this message for the full log.]
>>>
>>>
>>> (2) There is no project creation wizard for IMP -- it seems it should
>>> have a name like 'IDE Building'.
>>>
>>> Initially, I thought this could be due to IMP conflicting with other
>>> plugins. However, a fresh copy of eclipse did not solve the problem.
>>> Bob mentioned that it was difficult to reproduce this errors, well,
>>> it is hard for me to *not* produce them.
>
> Cheers,
> - Bob
Re: Problems with running IMP on win32 [message #4469 is a reply to message #4399] Wed, 29 August 2007 23:34 Go to previous message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Ali wrote:
> Bob,
>
> I was able to test IMP with eclipse 3.2.2. The start-up error is gone,
> however, I still cannot see the IDE Bulding project. Creating an X10
> project still gives me the 'Invalid thread access' error.
>
> Did you mean version 3.2.0? Could you provide the exact version that
> works on you machine. It is not so easy to find the older versions, a
> download link would be great.

IMP should work fine with 3.2.2. There is no "IDE Building" project, but
rather an "IDE Building" *perspective*. Once you've switched to that
perspective, you should see various IMP wizards in the "New..." menu.
You should also see a cheat sheet, accessible via the menu item "Help"
-> "Cheat Sheets..." in the IMP category.

FWIW, you don't need to use anything from the X10 IDE to build IMP-based
IDEs. You should start with an ordinary plug-in project.

BTW, the web site is now up on sourceforge:

http://eclipse-imp.sf.net/

It contains, among other things, installation instructions for IMP itself,
and some documentation that should help people in getting started using
IMP to create a new IDE.

Hope this helps...

> Robert M. Fuhrer wrote:
>> Robert M. Fuhrer wrote:
>>> Ali wrote:
>>>> Hi,
>>>>
>>>> After installing IMP from the update site:
>>>>
>>>> http://eclipse-imp.sourceforge.net/updates/
>>>>
>>>> together with the following dependencies:
>>>>
>>>> http://lpg.sourceforge.net/updates/
>>>> http://www.cs.cornell.edu/Projects/polyglot/eclipseUpdates/
>>>>
>>>> on a *fresh-copy* of eclipse 3.3 under windows xp 32-bit; these
>>>> problems are generated:
>>>
>>> Hi,
>>>
>>> At this moment, IMP only runs on 3.2. We're working on 3.3 support,
>>> but it's not there yet. At this point, we haven't really even spent
>>> much time attempting to run on 3.3 yet.
>>>
>>> Please try running on 3.2, if you can; your experience should be
>>> much better.
>>
>> I should also perhaps have mentioned that IMP currently requires at
>> least a Java 5 VM.
>>
>>> Again, sorry for not having the web site up yet; the above fact is
>>> mentioned in the install instructions, which you sadly can't see yet.
>>> :-)
>>>
>>> All the same, thanks for the report; we'll use the information as
>>> we work on the 3.3 compatibility.
>>>
>>>> (1) Eclipse opens with this error:
>>>>
>>>> An error has occurred. See error log for more details.
>>>> Invalid thread access
>>>>
>>>> Error log:
>>>> Problems occurred when invoking code from plug-in:
>>>> "org.eclipse.jdt.ui".
>>>> [See end of this message for the full log.]
>>>>
>>>>
>>>> (2) There is no project creation wizard for IMP -- it seems it
>>>> should have a name like 'IDE Building'.
>>>>
>>>> Initially, I thought this could be due to IMP conflicting with other
>>>> plugins. However, a fresh copy of eclipse did not solve the problem.
>>>> Bob mentioned that it was difficult to reproduce this errors, well,
>>>> it is hard for me to *not* produce them.
>>
>> Cheers,
>> - Bob
Re: Problems with running IMP on win32 [message #566121 is a reply to message #4191] Wed, 29 August 2007 20:37 Go to previous message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Ali wrote:
> Hi,
>
> After installing IMP from the update site:
>
> http://eclipse-imp.sourceforge.net/updates/
>
> together with the following dependencies:
>
> http://lpg.sourceforge.net/updates/
> http://www.cs.cornell.edu/Projects/polyglot/eclipseUpdates/
>
> on a *fresh-copy* of eclipse 3.3 under windows xp 32-bit; these problems
> are generated:

Hi,

At this moment, IMP only runs on 3.2. We're working on 3.3 support,
but it's not there yet. At this point, we haven't really even spent
much time attempting to run on 3.3 yet.

Please try running on 3.2, if you can; your experience should be
much better.

Again, sorry for not having the web site up yet; the above fact is
mentioned in the install instructions, which you sadly can't see yet.
:-)

All the same, thanks for the report; we'll use the information as
we work on the 3.3 compatibility.

> (1) Eclipse opens with this error:
>
> An error has occurred. See error log for more details.
> Invalid thread access
>
> Error log:
> Problems occurred when invoking code from plug-in: "org.eclipse.jdt.ui".
> [See end of this message for the full log.]
>
>
> (2) There is no project creation wizard for IMP -- it seems it should
> have a name like 'IDE Building'.
>
> Initially, I thought this could be due to IMP conflicting with other
> plugins. However, a fresh copy of eclipse did not solve the problem. Bob
> mentioned that it was difficult to reproduce this errors, well, it is
> hard for me to *not* produce them.
Re: Problems with running IMP on win32 [message #566137 is a reply to message #4260] Wed, 29 August 2007 20:39 Go to previous message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Robert M. Fuhrer wrote:
> Ali wrote:
>> Hi,
>>
>> After installing IMP from the update site:
>>
>> http://eclipse-imp.sourceforge.net/updates/
>>
>> together with the following dependencies:
>>
>> http://lpg.sourceforge.net/updates/
>> http://www.cs.cornell.edu/Projects/polyglot/eclipseUpdates/
>>
>> on a *fresh-copy* of eclipse 3.3 under windows xp 32-bit; these
>> problems are generated:
>
> Hi,
>
> At this moment, IMP only runs on 3.2. We're working on 3.3 support,
> but it's not there yet. At this point, we haven't really even spent
> much time attempting to run on 3.3 yet.
>
> Please try running on 3.2, if you can; your experience should be
> much better.

I should also perhaps have mentioned that IMP currently requires at
least a Java 5 VM.

> Again, sorry for not having the web site up yet; the above fact is
> mentioned in the install instructions, which you sadly can't see yet.
> :-)
>
> All the same, thanks for the report; we'll use the information as
> we work on the 3.3 compatibility.
>
>> (1) Eclipse opens with this error:
>>
>> An error has occurred. See error log for more details.
>> Invalid thread access
>>
>> Error log:
>> Problems occurred when invoking code from plug-in: "org.eclipse.jdt.ui".
>> [See end of this message for the full log.]
>>
>>
>> (2) There is no project creation wizard for IMP -- it seems it should
>> have a name like 'IDE Building'.
>>
>> Initially, I thought this could be due to IMP conflicting with other
>> plugins. However, a fresh copy of eclipse did not solve the problem.
>> Bob mentioned that it was difficult to reproduce this errors, well, it
>> is hard for me to *not* produce them.

Cheers,
- Bob
Re: Problems with running IMP on win32 [message #566154 is a reply to message #4329] Wed, 29 August 2007 21:40 Go to previous message
Auerliano is currently offline Auerliano
Messages: 149
Registered: July 2009
Senior Member
Bob,

I was able to test IMP with eclipse 3.2.2. The start-up error is gone,
however, I still cannot see the IDE Bulding project. Creating an X10
project still gives me the 'Invalid thread access' error.

Did you mean version 3.2.0? Could you provide the exact version that
works on you machine. It is not so easy to find the older versions, a
download link would be great.

Robert M. Fuhrer wrote:
> Robert M. Fuhrer wrote:
>> Ali wrote:
>>> Hi,
>>>
>>> After installing IMP from the update site:
>>>
>>> http://eclipse-imp.sourceforge.net/updates/
>>>
>>> together with the following dependencies:
>>>
>>> http://lpg.sourceforge.net/updates/
>>> http://www.cs.cornell.edu/Projects/polyglot/eclipseUpdates/
>>>
>>> on a *fresh-copy* of eclipse 3.3 under windows xp 32-bit; these
>>> problems are generated:
>>
>> Hi,
>>
>> At this moment, IMP only runs on 3.2. We're working on 3.3 support,
>> but it's not there yet. At this point, we haven't really even spent
>> much time attempting to run on 3.3 yet.
>>
>> Please try running on 3.2, if you can; your experience should be
>> much better.
>
> I should also perhaps have mentioned that IMP currently requires at
> least a Java 5 VM.
>
>> Again, sorry for not having the web site up yet; the above fact is
>> mentioned in the install instructions, which you sadly can't see yet.
>> :-)
>>
>> All the same, thanks for the report; we'll use the information as
>> we work on the 3.3 compatibility.
>>
>>> (1) Eclipse opens with this error:
>>>
>>> An error has occurred. See error log for more details.
>>> Invalid thread access
>>>
>>> Error log:
>>> Problems occurred when invoking code from plug-in: "org.eclipse.jdt.ui".
>>> [See end of this message for the full log.]
>>>
>>>
>>> (2) There is no project creation wizard for IMP -- it seems it should
>>> have a name like 'IDE Building'.
>>>
>>> Initially, I thought this could be due to IMP conflicting with other
>>> plugins. However, a fresh copy of eclipse did not solve the problem.
>>> Bob mentioned that it was difficult to reproduce this errors, well,
>>> it is hard for me to *not* produce them.
>
> Cheers,
> - Bob
Re: Problems with running IMP on win32 [message #566178 is a reply to message #4399] Wed, 29 August 2007 23:34 Go to previous message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Ali wrote:
> Bob,
>
> I was able to test IMP with eclipse 3.2.2. The start-up error is gone,
> however, I still cannot see the IDE Bulding project. Creating an X10
> project still gives me the 'Invalid thread access' error.
>
> Did you mean version 3.2.0? Could you provide the exact version that
> works on you machine. It is not so easy to find the older versions, a
> download link would be great.

IMP should work fine with 3.2.2. There is no "IDE Building" project, but
rather an "IDE Building" *perspective*. Once you've switched to that
perspective, you should see various IMP wizards in the "New..." menu.
You should also see a cheat sheet, accessible via the menu item "Help"
-> "Cheat Sheets..." in the IMP category.

FWIW, you don't need to use anything from the X10 IDE to build IMP-based
IDEs. You should start with an ordinary plug-in project.

BTW, the web site is now up on sourceforge:

http://eclipse-imp.sf.net/

It contains, among other things, installation instructions for IMP itself,
and some documentation that should help people in getting started using
IMP to create a new IDE.

Hope this helps...

> Robert M. Fuhrer wrote:
>> Robert M. Fuhrer wrote:
>>> Ali wrote:
>>>> Hi,
>>>>
>>>> After installing IMP from the update site:
>>>>
>>>> http://eclipse-imp.sourceforge.net/updates/
>>>>
>>>> together with the following dependencies:
>>>>
>>>> http://lpg.sourceforge.net/updates/
>>>> http://www.cs.cornell.edu/Projects/polyglot/eclipseUpdates/
>>>>
>>>> on a *fresh-copy* of eclipse 3.3 under windows xp 32-bit; these
>>>> problems are generated:
>>>
>>> Hi,
>>>
>>> At this moment, IMP only runs on 3.2. We're working on 3.3 support,
>>> but it's not there yet. At this point, we haven't really even spent
>>> much time attempting to run on 3.3 yet.
>>>
>>> Please try running on 3.2, if you can; your experience should be
>>> much better.
>>
>> I should also perhaps have mentioned that IMP currently requires at
>> least a Java 5 VM.
>>
>>> Again, sorry for not having the web site up yet; the above fact is
>>> mentioned in the install instructions, which you sadly can't see yet.
>>> :-)
>>>
>>> All the same, thanks for the report; we'll use the information as
>>> we work on the 3.3 compatibility.
>>>
>>>> (1) Eclipse opens with this error:
>>>>
>>>> An error has occurred. See error log for more details.
>>>> Invalid thread access
>>>>
>>>> Error log:
>>>> Problems occurred when invoking code from plug-in:
>>>> "org.eclipse.jdt.ui".
>>>> [See end of this message for the full log.]
>>>>
>>>>
>>>> (2) There is no project creation wizard for IMP -- it seems it
>>>> should have a name like 'IDE Building'.
>>>>
>>>> Initially, I thought this could be due to IMP conflicting with other
>>>> plugins. However, a fresh copy of eclipse did not solve the problem.
>>>> Bob mentioned that it was difficult to reproduce this errors, well,
>>>> it is hard for me to *not* produce them.
>>
>> Cheers,
>> - Bob
Previous Topic:Problems with running IMP on win32
Next Topic:Importing existing YACC/Bison parser ti IMP
Goto Forum:
  


Current Time: Mon Sep 22 06:18:30 GMT 2014

Powered by FUDForum. Page generated in 0.12394 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software